cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Level 2

NEW Third-Party App Security Requirements

Why did you not make your customers aware of this significant change and the associated potential issues?

Our auto-billing invoice scanning service (Entryless) is now not working and no longer even listed in the app store! If we need to enter all this information manually, it's going to be a bad few weeks till we find a credible alternative.

I'm all for good security, but this change seems to have been very badly managed if it has caught out a load of developers who's apps no longer work and where you have caused a load of customer disruption without any notice to them just before Christmas.

Highlighted
QuickBooks Team

NEW Third-Party App Security Requirements

Good day, james14.

 

As mentioned from the previous replies, all third-party app developers were notified about the new security requirements. This is to ensure that your data is fully protected.

 

I suggest reaching out to Entryless to see if they have updated their software to comply with the new QuickBooks guidelines. Meanwhile, there are still available apps to help with your invoices. You'll want to visit again our QuickBooks Apps Store.

 

Leave a comment again if you have more questions.

Highlighted
Level 2

NEW Third-Party App Security Requirements

This is ridiculous.  No notice and no I can connect to my Procurement system -- this adds DAYS of extra work each week.   

 

Very unprofessional on Quickbooks part.   

Highlighted
Level 2

NEW Third-Party App Security Requirements

Sarah - completely useless post.  Why are you and your team working with the vendors to get this accomplished on the backend so your paying users are incredibly inconvenienced.

 

Quickbooks should be embarrassed.

Highlighted
Level 2

NEW Third-Party App Security Requirements

I am concerned you don't care about the end users experience and the incredible cost and inconvenience you are putting on small business owners -- your customers.

 

 

Highlighted
Level 2

NEW Third-Party App Security Requirements

Hi Alexv, as I said I’m happy that security needs to be taken seriously, but to not consider your customers and not send out a notice of potential disruption to key services is a real dereliction of duty. All it would have taken is a quick email a month ago to say ‘this change is happening, you should make certain that apps you use support this change

Highlighted
Level 1

NEW Third-Party App Security Requirements

We us LabStar, is this affected as well? How do I manually export into QB?

 

Highlighted
Level 1

NEW Third-Party App Security Requirements

Terrible timing being at the end of the year when we are trying to wrap things up. How do you export into QB if the file format is different?

 

Highlighted
Level 2

NEW Third-Party App Security Requirements

We were using Shop Boss's original integrator and that is how I found out about all of this - when I went ti connect, a QB page popped up about the security changes.  I had no prior knowledge of it.  We would up paying and using APINation that Shop Boss is offering.  It appears that, as of right now, all the bugs are worked out.  APINation has had excellent response time to our issues.

Highlighted
Level 1

NEW Third-Party App Security Requirements

Glad to report that Caseware has worked out a temporary solution with Intuit to let us use the current 1.076 version of the QBO Export utility again for about 30 days.  However they have also since removed the download link on Mycaseware to the utility.  

 

We’ve tried it out today and confirm it works as before.  I would definitely get on this right away if you have year or months end that depend on this workflow 

 

Caseware has kept the communication going, but looking at the series of events,  seems like they were totally caught flat footed here. 

Highlighted
Level 1

NEW Third-Party App Security Requirements

Good morning,

Since we cannot merge Quickbooks and Bill.com, how can we show an invoice as "paid" on Quickbooks, if they paid via "Bill.com"?

 

Thank you

Joe Sabatino

Highlighted
Level 1

NEW Third-Party App Security Requirements

Ridiculous that you would shut off my financial connection after five years and then me, the customer, that i need to contact the other development company to fix their security.  What a bunch of bs.

Highlighted
Community Champion

NEW Third-Party App Security Requirements

This message goes out to all of the people that are currently running into issues connecting their third party apps to QuickBooks Online.  Intuit has been sending out notifications about this change for over a year now, I know this because I have personally been receiving them.

 

Over the past three months they have even stepped up the number of notification that were sent out to anyone with an Intuit Developer account.  I share this to make sure that people understand, this is not Intuit's fault, it is the third party app companies that decided not to bring their applications into compliance.

The reason Intuit made this change was to improve the overall security of their data protocols to ensure your private data remains safe. So please, be nice to the people in here, they are just the messengers, contact the third party app and apply pressure to them to modify their code to allow for this new change!

 

Highlighted
Level 1

NEW Third-Party App Security Requirements

We were never notified the requirement to be signed up for an Intuit community profile to receive updates on this. We can't send invoices or do anything billing related on our web app.

Highlighted
Level 1

NEW Third-Party App Security Requirements

Here is the page to the security requirements that they forgot to include.

https://developer.intuit.com/app/developer/qbo/docs/list-on-the-app-store/security-requirements

 

The throttling limits in more detail.

https://blogs.intuit.com/blog/2016/08/08/idg-concurrent-api-use-changes-coming-soon/#/post-26978

 

FYI, you need to implement OAuth 2.0 to prevent the throttling of 10 concurrent API request to the realmId.

Highlighted
Level 1

NEW Third-Party App Security Requirements

Can you advise when this intergration will be up and running again pls ? I guess a fail safe check was not carried out before the security update was made at your end. I am changing over to a new system on the 3rd Jan and need this intergration before then otherwise its a long process which will take days to complete manually

 

Highlighted
Level 1

NEW Third-Party App Security Requirements

Hi there 

 

I am a new user & want to connect the my quickbooks software to the power bi platform but I get directed to this page. 

 

Is this something QB's or the Power BI team is working on so that the integration can happen? 

 

Cheers

Matt


 

Highlighted
Level 1

NEW Third-Party App Security Requirements

Can someone tell me if Payroll Relief meets the new security standards?  This application is supported by Accountants World.  It worked in early December.  I have tried to re-add the application per the instructions but I cannot find it by name or category (payroll) in QBO.  I am in contact with my payroll provider and they say the app is compatible.  I need to resolve this to wrap up 2019.  

 

I wish the quickbook team had waited until the end of January so people could wrap up their 2019 books before removing access, it's impacting my ability to wrap up year end.

 

 

Highlighted
Level 1

NEW Third-Party App Security Requirements

@Teamwork please resolve

Highlighted
Level 1

NEW Third-Party App Security Requirements


@BrandiBlack wrote:

At QuickBooks, ensuring your data security is our top concern, we have enhanced our security requirements for protecting your data starting December 18, 2019. Prior to us rolling out these enhancements, we have reached out to third-party app developers and asked them to align with our new security requirements. At this time, some of the apps may not be fully compliant with our new security requirements.

 

As a result, beginning on December 18, 2019, we are not allowing new connections to this app.

 

Starting December 19th, you will be able to login to your QuickBooks Online company and navigate to the My Apps tab, under the Apps page to ensure any other apps you may use are not impacted. You will be able to review any new details and next steps on the top of the screen.

 

NOTE: If no apps are listed in the message box on your My Apps page, the apps you are using are currently compliant.


image (4).png

 

We apologize for this inconvenience. Please contact the developer of the app to understand where they are in supporting the latest QuickBooks security requirements. 

 

Thank you for your business and we look forward to continuing to serve you.

 

 

The QuickBooks Apps Team


 

Highlighted
Level 1

NEW Third-Party App Security Requirements

You really need to fix this 2nd rate handling of software issues. After years you still don't get the high costs of lost time with so many issues. I swear quicken has better editing features than  the new online quickbooks software. Now we can't signup for apps that simplify our accounting

Highlighted
Level 1

NEW Third-Party App Security Requirements

I became a developer and review the information I found and still don't know what I need to do to get access to Quickbooks from Tableau,  I'm more on the information side of the house and we don't have our own IT staff to help,  Is there something I can look at that would be a step by step guide?

Highlighted
Level 1

NEW Third-Party App Security Requirements

Hi, 

 

Under my Quickbook Apps only have FoodRazor as a third party. Therefore, i believes there's nothing to impact the foodrazor system. Please let us know how to solve this situation as we need to export invoices to QB as soon as possible 

Highlighted
Level 11

NEW Third-Party App Security Requirements

@dane15 

For the time being, consider to utilize the importer tool to migrate your invoice into QBO

https://transactionpro.grsm.io/qbo

https://partners.saasant.com/affiliate/idevaffiliate.php?id=5051_2

 

Hope it helps.

Highlighted
Level 1

NEW Third-Party App Security Requirements

Does this affect QB desktop apps using QB WebConnector?

Need to get in touch?

Contact us